How to use the SetSectionPlanes method

Valued Contributor
Valued Contributor

 

 How to use SolidEdgeFramework.View the SetSectionPlanes method, please tell me the specific parameters of the role and how to get

 

Posted by: ben gang
Post date: 2/2/2010 11:55:52 AM

3 REPLIES

RE: How to use the SetSectionPlanes method

Valued Contributor
Valued Contributor

 

Object.SetSectionPlanes(nPlanes, [Positions], [Normals], [FaceStyles])

 

positions = "line" on the plane as array of double (x,y,z)

normals = "normal vector" (direction) for the plane as array of double (x,y,z)

if you have 1 line and one normal vector you have one plane but for nPlanes you must set "2"

for 2 planes you must set 4 nPlanes.

 

example in vb.net:

Dim oSEApp As SolidEdgeFramework.Application = GetObject(, "SolidEdge.Application")

Dim oDoc As SolidEdgeFramework.SolidEdgeDocument = oSEApp.ActiveDocument

Dim oWin As SolidEdgeFramework.Window = oDoc.Windows.Item(1)

Dim oView As SolidEdgeFramework.View = oWin.View

Dim Positions(11) As Double

Dim normals(11) As Double

 

'the Positions of the first "line" on the plane

'the points are on the plane

Positions(0) = 0.02 'x

Positions(1) = 0.0 'y

Positions(2) = 0.0 'z

 

Positions(3) = 0.02 'x

Positions(4) = 0.1 'y 'point on the Y axis

Positions(5) = 0.0 'z

 

'normal-Vector for the direction of first plane

normals(0) = 0.0 'x

normals(1) = 0.0 'y

normals(2) = 0.0 'z

 

normals(3) = 0.1 'x 'make the plane on yz

normals(4) = 0.0 'y

normals(5) = 0.0 'z

 

''the Positions of the first "line" on the second plane

Positions(6) = 0.0 'x

Positions(7) = 0.0 'y

Positions(8) = 0.0 'z

 

Positions(9) = 0.0 'x

Positions(10) = 0.1 'y

Positions(11) = 0.0 'z

''normal-Vector for the direction of second plane

normals(6) = 0.0 'x

normals(7) = 0.0 'y

normals(8) = 0.0 'z

 

normals(9) = -0.1 'x

normals(10) = 0.0 'y

normals(11) = 0.0 'z

'set new

oView.SetSectionPlanes(4, Positions, normals)

 

 

Posted by: JR
Post date: 2/8/2010 9:53:08 PM

RE: How to use the SetSectionPlanes method

Valued Contributor
Valued Contributor

if you have 1 line and one normal vector you have one plane but for nPlanes you must set "2"

for 2 planes you must set 4 nPlanes.

 

I can not understand this sentence, please explain in detail

Thank you

 

Posted by: ben gang
Post date: 2/9/2010 1:07:50 PM

RE: How to use the SetSectionPlanes method

Valued Contributor
Valued Contributor

 

You can create a plane with a position (a line with 2 points on th plane) and a normal (a line perpendicular to the plane with 2 points).

This is one plane. I don't now why, but for the nPlanes in the method SetSectionPlane you must set "2" for one Plane.

In the example are 2 planes created and nPlanes are set to 4.

 

Posted by: JR
Post date: 2/9/2010 6:14:00 PM